Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout2
Class StoreBase

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.layout2.StoreBase

All Implemented Interfaces:
  Store

Direct Known Subclasses:
  StoreBaseH2, StoreBaseHash, StoreBaseHSQL, StoreBaseIndex

    public abstract class StoreBase

extends SDBConnectionHolder
implements Store

Constructor Summary
`StoreBase(SDBConnection connection, StoreDesc desc, StoreFormatter formatter, StoreLoader loader, QueryCompilerFactory compilerF, SQLBridgeFactory sqlBridgeF, SQLGenerator sqlGenerator, TableDescTriples tripleTableDesc, TableDescQuads quadTableDesc, TableDescNodes nodeTableDesc)`

Method Summary
`void` | `close()` Stores should be closed explicitly.
`StoreConfig` | `getConfiguration()` Return the configuration of this Store
`SDBConnection` | `getConnection()` Return the connection to the implementing database
`DatabaseType` | `getDatabaseType()` Return the database type of the store
`LayoutType` | `getLayoutType()` Return the layout type of the store
`StoreLoader` | `getLoader()` Return the (bulk) loader
`TableDescNodes` | `getNodeTableDesc()` Location of the nodes in the store (if meaningful)
`TableDescQuads` | `getQuadTableDesc()` Where the named graphs are in is store
`QueryCompilerFactory` | `getQueryCompilerFactory()` Return the producer of processors that turn SPARQL queries into SQL expressions
`long` | `getSize()` Default implementation: get size of Triples table
`SQLBridgeFactory` | `getSQLBridgeFactory()` Factory for SQL bridges for this store
`SQLGenerator` | `getSQLGenerator()` Get the SQL-from-relational algebra generator
`StoreFormatter` | `getTableFormatter()` Return the processor that creates the database tables
`TableDescTriples` | `getTripleTableDesc()` Where the default graph is store
`boolean` | `isClosed()` Has this store been closed?

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sdb.Store
`getSize`

Constructor Detail

### StoreBase

    public StoreBase(SDBConnection connection,
                     StoreDesc desc,
                     StoreFormatter formatter,
                     StoreLoader loader,
                     QueryCompilerFactory compilerF,
                     SQLBridgeFactory sqlBridgeF,
                     SQLGenerator sqlGenerator,
                     TableDescTriples tripleTableDesc,
                     TableDescQuads quadTableDesc,
                     TableDescNodes nodeTableDesc)

Method Detail

### getConnection

    public SDBConnection getConnection()

  Description copied from interface: `Store`
  Return the connection to the implementing database

  Specified by:
    `getConnection` in interface `Store`

### getQueryCompilerFactory

    public QueryCompilerFactory getQueryCompilerFactory()

  Description copied from interface: `Store`
  Return the producer of processors that turn SPARQL queries into SQL expressions

  Specified by:
    `getQueryCompilerFactory` in interface `Store`

### getSQLBridgeFactory

    public SQLBridgeFactory getSQLBridgeFactory()

  Description copied from interface: `Store`
  Factory for SQL bridges for this store

  Specified by:
    `getSQLBridgeFactory` in interface `Store`

### getSQLGenerator

    public SQLGenerator getSQLGenerator()

  Description copied from interface: `Store`
  Get the SQL-from-relational algebra generator

  Specified by:
    `getSQLGenerator` in interface `Store`

### getTableFormatter

    public StoreFormatter getTableFormatter()

  Description copied from interface: `Store`
  Return the processor that creates the database tables

  Specified by:
    `getTableFormatter` in interface `Store`

### getLoader

    public StoreLoader getLoader()

  Description copied from interface: `Store`
  Return the (bulk) loader

  Specified by:
    `getLoader` in interface `Store`

### getConfiguration

    public StoreConfig getConfiguration()

  Description copied from interface: `Store`
  Return the configuration of this Store

  Specified by:
    `getConfiguration` in interface `Store`

### getDatabaseType

    public DatabaseType getDatabaseType()

  Description copied from interface: `Store`
  Return the database type of the store

  Specified by:
    `getDatabaseType` in interface `Store`

### getLayoutType

    public LayoutType getLayoutType()

  Description copied from interface: `Store`
  Return the layout type of the store

  Specified by:
    `getLayoutType` in interface `Store`

### close

    public void close()

  Description copied from interface: `Store`
  Stores should be closed explicitly. Some stores may require specific finalization actions (e.g. embedded databases), and some stores may be able to release system resources.

  Specified by:
    `close` in interface `Store`

### isClosed

    public boolean isClosed()

  Description copied from interface: `Store`
  Has this store been closed?

  Specified by:
    `isClosed` in interface `Store`

### getSize

    public long getSize()

  Default implementation: get size of Triples table

  Specified by:
    `getSize` in interface `Store`

### getNodeTableDesc

    public TableDescNodes getNodeTableDesc()

  Description copied from interface: `Store`
  Location of the nodes in the store (if meaningful)

  Specified by:
    `getNodeTableDesc` in interface `Store`

### getTripleTableDesc

    public TableDescTriples getTripleTableDesc()

  Description copied from interface: `Store`
  Where the default graph is store

  Specified by:
    `getTripleTableDesc` in interface `Store`

### getQuadTableDesc

    public TableDescQuads getQuadTableDesc()

  Description copied from interface: `Store`
  Where the named graphs are in is store

  Specified by:
    `getQuadTableDesc` in interface `Store`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.